Skip to content

Get DHL eCommerce SCAN Form

Request

Returns the DHL eCommerce SCAN Form PDF URL based on the request ID from the creation endpoint.
Rate limit: 60 requests per minute.

Security
ApiTokenAuth
Query
request_idintegerrequired

Request ID returned from the Create SCAN Form API

GET
/api/shipments/scan-forms/dhl/ecommerce/get
curl -i -X GET \
  'https://api.shipsaving.com/api/shipments/scan-forms/dhl/ecommerce/get?request_id=0&api_token=YOUR_API_KEY_HERE'

Responses

Successfully retrieved manifest PDF URL

Bodyapplication/json
urlstring, (uri)

Manifest URL to the SCAN Form document (PDF)

Response
{ "url": "https://...../forms/2024-11-01/12345667.pdf" }